## crowbar 4.2

=== requirements.txt ===
paramiko==2.7.1

## crowbar 0.2.1

=== debian/changelog ===
crowbar (0.2.1-1build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 19:15:22 +0100

crowbar (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1021246)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 17 Nov 2022 15:39:07 +0100

=== debian/control ===
Source: crowbar
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               libafl-persistent-ocaml-dev,
               libcalendar-ocaml-dev <!nocheck>,
               libcmdliner-ocaml-dev,
               libfpath-ocaml-dev <!nocheck>,
               libocplib-endian-ocaml-dev,
               libodoc-ocaml-dev <!nodoc>,
               libpprint-ocaml-dev <!nocheck>,
               libuucp-ocaml-dev <!nocheck>,
               libuunf-ocaml-dev <!nocheck>,
               libuutf-ocaml-dev <!nocheck>,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/crowbar
Vcs-Git: https://salsa.debian.org/ocaml-team/crowbar.git
Homepage: https://github.com/stedolan/crowbar

Package: libcrowbar-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library to fuzz-test code (runtime files)
 It combines the QuickCheck-style property-based testing
 and the bug-finding efficiency of afl-fuzz.
 .
 This package provides the runtime files.

Package: libcrowbar-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library to fuzz-test code (dev files)
 It combines the QuickCheck-style property-based testing
 and the bug-finding efficiency of afl-fuzz.
 .
 This package provides the dev files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dune test
endif

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	# drop excess LICENSE files
	find debian/tmp -name "LICENSE*" -delete
	# copy the examples
	cp -R examples debian/tmp/usr/doc/crowbar
	rm -f debian/tmp/usr/doc/crowbar/examples/.gitignore

## crowbar 4.2

=== debian/changelog ===
crowbar (4.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:37:03 +0200

crowbar (4.2-0kali1) kali-dev; urgency=medium

  * New upstream release.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 24 Oct 2022 10:48:25 -0500

crowbar (4.1-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 13 Apr 2020 23:14:15 +0100

crowbar (3.4+git20200406-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4+git20200406
  * Refresh patch

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Apr 2020 14:13:30 +0200

crowbar (3.4+git20170829-0kali3) kali-experimental; urgency=medium

  * Add a patch to switch to Python3 (and remove warning about Python 2 EOL)
  * Update packaging for Python 3
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 12
  * Add Restrictions to autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 01 Apr 2020 10:43:33 +0200

crowbar (3.4+git20170829-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add a warning about Python 2 EOL

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2020 11:14:17 +0100

crowbar (3.4+git20170829-0kali1) kali-dev; urgency=medium

  * Import new snapshot
  * Switch to freerdp2-x11

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Jun 2018 11:45:18 +0200

crowbar (3.4+git20160121-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 2985)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 May 2017 16:31:49 +0200

=== debian/control ===
Source: crowbar
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.1.0
Homepage: https://github.com/galkan/crowbar

Package: crowbar
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, openvpn, freerdp2-x11, vncviewer,
 python3-paramiko, python3-nmap
Description: Brute forcing tool
 This package contains Crowbar (formally known as Levye). It is a brute forcing
 tool that can be used during penetration tests. It was developed to brute force
 some protocols in a different manner according to other popular brute forcing
 tools. As an example, while most brute forcing tools use username and password
 for SSH brute force, Crowbar uses SSH key(s). This allows for any private keys
 that have been obtained during penetration tests, to be used to attack other
 SSH servers.
 .
 Currently Crowbar supports:
    * OpenVPN (-b openvpn)
    * Remote Desktop Protocol (RDP) with NLA support (-b rdp)
    * SSH private key authentication (-b sshkey)
    * VNC key authentication (-b vpn)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=crowbar

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: crowbar -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%crowbar-$1.tar.gz%" \
   https://github.com/galkan/crowbar/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
